# Create your views here.
from models import *
from django.shortcuts import render_to_response
from django.http import HttpResponse
from django.template.loader import render_to_string

def named_masters(request):
    domains = [d.url for d in Domain.objects.filter(is_active=True).filter(manage_nameserver=True)]
    domains += [d.alias for d in DomainAlias.objects.all()]
    domains.sort()
    context = {
        'domains': domains       
    }
    content = render_to_string("named.conf.masters", context)
    return HttpResponse(content, content_type="text/plain")
    
    
def named_slaves(request):
    domains = [d.url for d in Domain.objects.filter(is_active=True).filter(manage_nameserver=True)]
    domains += [d.alias for d in DomainAlias.objects.all()]
    domains.sort()
    context = {
        'domains': domains       
    }
    content = render_to_string("named.conf.slaves", context)
    return HttpResponse(content, content_type="text/plain")
    
